<?php
// --------------------------------------------
// --- saisie d'une liste de personnes ---
// --------------------------------------------
$saisie="saisie non vide";
$nb_personnes=0;

while (!empty($saisie))
{
 echo "Entrez un nom, un prénom et un âge (ex : Dupont;Jean;28) : ";
 $saisie=fgets(STDIN);
 // --- traitement de la chaîne lue, ---
 // suppression des espaces au début , à la fin et suppression du saut de ligne
 $saisie=trim($saisie);
 // remplace les espaces multiples par un seul espace
 $saisie= preg_replace('/\s{2,}/',' ',$saisie);
 // remplace ; suivi d'un espace par ;
 $saisie= preg_replace('/;\s/',';',$saisie);
 // remplace un espace suivi d'un ; par ;
 $saisie= preg_replace('/\s;/',';',$saisie);
 // on vérifie que la saisie n'est pas vide
 if (!empty($saisie))
 {
  // rangement dans le tableau
  $une_personne=explode(';',$saisie);
  $tab_personnes[]=$une_personne    ;
  $nb_personnes++;
 }
}
echo '--- Affichage de $tab_personnes ---'.PHP_EOL;
for ($i=0 ; $i< $nb_personnes ; $i++)
{
 $une_personne=$tab_personnes[$i];
 for ($j=0 ; $j <3 ; $j++)
 {
   echo "$une_personne[$j]\t";
 }
 echo PHP_EOL;
}
?>
